Bug 15901 - Remove use of recordpayment in C4::SIP::ILS::Transaction::FeePayment
Summary: Remove use of recordpayment in C4::SIP::ILS::Transaction::FeePayment
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 15895
Blocks: 15899
  Show dependency treegraph
 
Reported: 2016-02-24 15:29 UTC by Kyle M Hall
Modified: 2017-12-07 22:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15901 - Remove use of recordpayment in C4::SIP::ILS::Transaction::FeePayment (1.21 KB, patch)
2016-02-24 15:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15901 - Remove use of recordpayment in C4::SIP::ILS::Transaction::FeePayment (1.21 KB, patch)
2016-06-07 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15901 - Remove use of recordpayment in C4::SIP::ILS::Transaction::FeePayment (1.26 KB, patch)
2016-08-23 07:41 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15901 - Remove use of recordpayment in C4::SIP::ILS::Transaction::FeePayment (1.33 KB, patch)
2016-09-28 11:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 15:29:31 UTC

    
Comment 1 Kyle M Hall 2016-02-24 15:30:38 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-06-07 15:11:27 UTC Comment hidden (obsolete)
Comment 3 Josef Moravec 2016-08-23 07:41:15 UTC
Created attachment 54747 [details] [review]
Bug 15901 - Remove use of recordpayment in C4::SIP::ILS::Transaction::FeePayment

Test plan:
1) Apply this patch
2) Make a payment via SIP2
3) The payment should succeed

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2016-09-28 11:08:40 UTC
Created attachment 55874 [details] [review]
Bug 15901 - Remove use of recordpayment in C4::SIP::ILS::Transaction::FeePayment

Test plan:
1) Apply this patch
2) Make a payment via SIP2
3) The payment should succeed

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-09-29 11:16:22 UTC
Pushed to master for 16.11!